/*
 * @Author: ZhengXiaowei
 * @Date: 2019-04-12 14:35:42
 * LastEditors: 晓晓晓晓晓丶vv
 * LastEditTime: 2020-08-21 15:26:55
 * @Description: file content
 */
"use strict";
// Template version: 1.2.8
// see http://vuejs-templates.github.io/webpack for documentation.

const path = require("path");
// "https://siteywmkx29emyevn514.leyuee.com/
module.exports = {
  dev: {
    // Paths
    assetsSubDirectory: "static",
    assetsPublicPath: "/",
    proxyTable: {
      "/api": {
        target: "http://isiteywmkx29emyevn514.pre.aizhuishu.com",
        changeOrigin: true
      },
      "/testLogin": {
        target: "http://isiteywmkx29emyevn514.pre.aizhuishu.com",
        changeOrigin: true
      }
    },

    // Various Dev Server settings
    host: "127.0.0.1", // can be overwritten by process.env.HOST
    port: 8080, // can be overwritten by process.env.PORT, if port is in use, a free one will be determined
    autoOpenBrowser: false,
    errorOverlay: true,
    notifyOnErrors: true,
    poll: false, // https://webpack.js.org/configuration/dev-server/#devserver-watchoptions-

    /**
     * Source Maps
     */

    // https://webpack.js.org/configuration/devtool/#development
    // devtool: "cheap-module-eval-source-map",
    devtool: "cheap-module-eval-source-map",

    // If you have problems debugging vue-files in devtools,
    // set this to false - it *may* help
    // https://vue-loader.vuejs.org/en/options.html#cachebusting
    cacheBusting: true,

    // CSS Sourcemaps off by default because relative paths are "buggy"
    // with this option, according to the CSS-Loader README
    // (https://github.com/webpack/css-loader#sourcemaps)
    // In our experience, they generally work as expected,
    // just be aware of this issue when enabling this option.
    cssSourceMap: false,
    disableHostCheck: true
  },

  build: {
    // Template for index.html
    index: path.resolve(__dirname, "../dist/index.html"),

    // Paths
    assetsRoot: path.resolve(__dirname, "../dist"),
    assetsSubDirectory:
      "static" + new Date().toLocaleDateString().replace(/\//g, "-"),
    assetsPublicPath: "https://zhuishuyun.oss-cn-hangzhou.aliyuncs.com/zsy_ios_app/",

    /**
     * Source Maps
     */

    productionSourceMap: true,
    // https://webpack.js.org/configuration/devtool/#production
    devtool: "#source-map",

    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: false,
    productionGzipExtensions: ["js", "css"],

    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  }
};
