const content = `
石村，位于苍莽山脉中，四周高峰大壑，茫茫群山巍峨。

清晨，朝霞灿灿，仿若碎金一般洒落，沐浴在人身上暖洋洋。

一群孩子，从四五岁到十几岁不等，能有数十人，在村前的空地上迎着朝霞，正在哼哈有声的锻炼体魄。一张张稚嫩的小脸满是认真之色，大一些的孩子虎虎生风，小一些的也比划的有模有样。

一个肌体强健如虎豹的中年男子，穿着兽皮衣，皮肤呈古铜色，黑发披散，炯炯有神的眼眸扫过每一个孩子，正在认真指点他们。

“太阳初升，万物初始，生之气最盛，虽不能如传说中那般餐霞食气，但这样迎霞锻体自也有莫大好处，可充盈人体生机。一天之计在于晨，每日早起多用功，强筋壮骨，活血炼筋，将来才能在这苍莽山脉中有活命的本钱。”站在前方、指点一群孩子的中年男子一脸严肃，认真告诫，而后又喝道：“你们明白吗？”

“明白！”一群孩子中气十足，大声回应。

山中多史前生物出没，时有遮蔽天空之巨翼横过，在地上投下大片的阴影，亦有荒兽立于峰上，吞月而啸，更少不了各种毒虫伏行，异常可怖。

“明白呀。”一个明显走神、慢了半拍的小家伙奶声奶气的叫道。

这是一个很小的孩子，只有一两岁的样子，刚学会走路没几个月，也在跟着锻炼体魄。显然，他是自己凑过来的，混在了年长的孩子中，分明还不应该出现在这个队伍里。

“哼哼哈嘿！”小家伙口中发声，嫩嫩的小手臂卖力的挥动着，效仿大孩子们的动作，可是他太过幼小，动作歪歪扭扭，且步履蹒跚，摇摇摆摆，再加上嘴角间残留的白色奶渍，引人发笑。

一群大孩子看着他，皆挤眉弄眼，让原本严肃的晨练气氛轻缓了不少。

小不点长的很白嫩与漂亮，大眼睛乌溜溜的转动，整个人像是个白瓷娃娃，很可爱，稚嫩的动作，口中咿咿呀呀，憨态可掬。这让另一片场地中盘坐在一块块巨石上正在吞吐天精的一些老人也都露出笑容。

就是那些身材高大魁梧、上半身**、肌腱光亮并隆起的成年男子们，也都望了过来，带着笑意。他们是村中最强壮的人，是狩猎与守护这个村落的最重要力量，也都在锻体，有人握着不知名的巨兽骨骼打磨而成的白骨大棒，也有人持着黑色金属铸成的阔剑，用力舞动，风声如雷。

生存环境极其恶劣，多洪荒猛兽毒虫，为了食物，为了生存，很多男子还未成年就过早夭折在了大荒中，想要活下去，唯有强壮己身。清晨用功，无论是成年人，亦或是老人与孩子，这是每一个人自幼就已养成的习惯。

“收心！”负责督促与指导孩子练功的中年男子大声喊道。一群孩子赶紧认真了起来，继续在柔和与灿烂的朝霞中锻炼。

“呼……咿呀，累了。”小不点长出了一口气，一屁墩儿坐在了地上，看着大孩子们锻炼体魄。可仅一会儿工夫他就被分散了注意力，站起身来，摇摇摆摆，冲向不远处一只正在蹦蹦跳跳的五色雀，结果磕磕绊绊，连摔了几个屁墩儿，倒也不哭，气呼呼，哼哼唧唧爬起来再追。

“好了，收功！”

随着一声大喝，所有孩子都一阵欢呼，揉了揉酸疼的手脚，而后一哄而散，冲向各自的家中，准备吃早饭。

老人们都笑了，自巨石上起身。而那些身材健壮如虎的成年人则是一阵笑骂，数落着自己的孩子，拎着骨棒与阔剑也快步向自家中走去。

石村不是很大，男女老少加起来能有三百多人，屋子都是巨石砌成的，简朴而自然。

在村头有一截巨大的雷击木，直径十几米，此时主干上唯一的柳条已经在朝霞中掩去了莹光，变得普普通通了。

“噢，居然有土龙肉，给我一块！”

这些孩子都很活泼与好动，即便吃饭时也都不太老实，不少人抱着陶碗从自家出来，凑到了一起。

石村周围草木丰茂，猛兽众多，可守着大山，村人的食物相对来说却算不上丰盛，只是一些粗麦饼、野果以及孩子们碗中少量的肉食。

事实上，食物不充裕对于石村来说一直是一个很严重的问题。山脉中十分危险，那些异兽凶禽过于强大与恐怖，每一次去狩猎都可能会有人丢掉性命。

如果有选择，村人是不愿进山的。因为进山就意味着可能会有流血与牺牲。

食物对于他们来说非常宝贵，容不得浪费，每一个孩子从小就懂得这一点，饥饿、食物、狩猎、性命、鲜血这些是相连的。

村头是老族长石云峰的院落，由巨石堆砌而成，紧挨着焦黑而巨大的柳木。院内的灶台前，陶罐内白色汁液沸腾，奶香扑鼻，他正在熬煮兽奶，此外不时将一些药草等投放进去，以木勺慢慢搅动。

不多时，老人喊道：“小不点，过来吃东西。”

小不点在半岁时就失去了父母，是吃百兽奶长大的，而今已经一岁零几个月了，若是寻常的孩子早该断奶了，而他却依旧吃的很香甜，不肯断掉，常被大一些的孩子取笑。

“咿呀，呼……跑不动了。”他一直在锲而不舍地追那只五色雀，早已气喘吁吁，此时一屁股坐在了地上。

“小不点吃奶喽！”一群大孩子起哄。

“你们这群小皮猴子，还不都是从他这个年龄过来的。”老族长笑骂道。

“我们可没有在一岁半时还在吃奶，嘿嘿。”

面对大孩子的取笑，小不点憨憨的笑着，黑亮的大眼眯成了月牙状，毫不在乎，坐在陶罐前用木勺舀奶，吃的很香甜。

早饭过后，村中几名年岁很大的老人一起来到族长石云峰的院子中，虽然早已须发皆白，但精气神都还很足。

“最近不太对劲啊，深夜总是有大家伙路过，动静实在太大了，这山脉深处一定发生了什么。”

“唔，昨天夜里我被惊醒了几次，皮骨发寒，一定是有什么洪荒凶兽与大虫从这里路过。”

几名老人先后开口，他们或蹙眉或深思，讨论最近的一些危险征兆，觉得有不同寻常的事情发生了。

“我觉得这大荒深处可能出了了不得的东西，引起了周围地域一些太古遗种的注意，纷纷赶过去了。”老族长石云峰思忖后说道。

“该不会是出了山宝吧？”一个老人顿时瞪圆了眼睛，须发皆张，露出惊容。

其他人也都露出异色，眼神火热，但很快又都熄灭了眸中的火焰，那种东西不是他们能得到的，远在山脉最深处，没人进的去。

这么多年来从未有人能活着进出一趟，山中各种强横物种出没，即便石村所有人齐闯，也连一朵浪花都不会泛起。

“族长，我们已经有些日子没有进山了。”就在这时，一个雄壮的成年男子走进院中，他是狩猎队伍的头领，也将是石村的下任族长。

“最近有些不太平啊。”老族长石云峰皱眉。

“可是食物真的不多了。”石林虎道，他身材极为高大，两米有余，背着一口三百余斤的阔剑，整个人壮的如同一头人熊，浑身古铜色的肌肉一块块，如一条条蛇蟒在游动。

“娃子们需要长身体，不能饿着，得想些办法。”有老人开口。

“虽然夜里不平静，但白天倒是没有什么异常，我带些人出去，小心一点应该没问题。”石林虎道。

最后，几十名青壮年男子在村头集合，由族长石云峰带着来到旁边的雷击木前，对着老柳树认真祈祷。

“祭灵，请保佑族人，让孩子们打到肥美的猎物，平安归来。我们将以虔诚的心，世代祭祀与供养你。”

开始上传了，每一个点击、推荐、收藏都对这本新书很重要，让本书冲起，离不开每一位兄弟姐妹，需要大家的支持。另外，今天晚上八点大家可以来歪歪2579玩，我也去。还有，谢谢飘红与打赏的所有兄弟姐妹！。

`

export default  {
  content,
  next_cid: "2707",
  prev_cid: null, //没有传null或者false
  book_name: '书名',
  chapter_name: '章节名',
  is_on_shelf: 0 //数组型 0不在书架 1在书架
}