export const BookCity = {
  name: "BookCity",
  meta: {
    Chinese: "首页"
  },
  route: { name: "BookCity" },
  path: "/"
};

export const BookStock = {
  name: "BookStock",
  meta: {
    Chinese: "书库"
  },
  route: { name: "BookStock" },
  path: "/stock"
};
export const Coupon = {
  name: "Coupon",
  meta: {
    Chinese: "优惠券"
  },
  route: { name: "Coupon" },
  path: "/coupon"
};
export const Login = {
  name: "Login",
  meta: {
    Chinese: "登录绑定"
  },
  route: { name: "Login" },
  path: "/Login"
};
//用户协议
export const Useragreement = {
  name: "Useragreement",
  meta: {
    Chinese: "用户协议"
  },
  route: { name: "Useragreement" },
  path: "/Useragreement"
};

export const Rank = {
  name: "Rank",
  meta: {
    Chinese: "排行榜"
  },
  route: { name: "Rank" },
  path: "/rank"
};

export const BookShelf = {
  name: "BookShelf",
  meta: {
    Chinese: "书架"
  },
  route: { name: "BookShelf" },
  path: "/shelf"
};
export const BookRecent = {
  name: "BookRecent",
  meta: {
    Chinese: "最近阅读"
  },
  route: { name: "BookRecent" },
  path: "/recent"
};
export const Reader = {
  name: "Reader",
  meta: {
    Chinese: "阅读器"
  },
  route: { name: "Reader" },
  path: "/reader",
  alias: "/reader/:str"
};

export const BookDetail = {
  name: "BookDetail",
  meta: {
    Chinese: "书籍详情"
  },
  route: { name: "BookDetail" },
  path: "/detail"
};

export const BookCatalog = {
  name: "BookCatalog",
  meta: {
    Chinese: "目录"
  },
  route: { name: "BookCatalog" },
  path: "/catalog"
};

export const Person = {
  name: "Person",
  meta: {
    Chinese: "个人中心"
  },
  route: { name: "Person" },
  path: "/person"
};

export const Pay = {
  name: "Pay",
  meta: {
    Chinese: "充值中心"
  },
  route: { name: "Pay" },
  path: "/pay"
};

export const RecordRecharge = {
  name: "RecordRecharge",
  meta: {
    Chinese: "充值记录"
  },
  route: { name: "RecordRecharge" },
  path: "/record/recharge"
};

export const RecordOrder = {
  name: "RecordOrder",
  meta: {
    Chinese: "消费记录"
  },
  route: { name: "RecordOrder" },
  path: "/record/order"
};
export const RecordSend = {
  name: "RecordSend",
  meta: {
    Chinese: "书币详情"
  },
  route: { name: "RecordSend" },
  path: "/record/send"
};
export const RecordOrderBook = {
  name: "RecordOrderBook",
  meta: {
    Chinese: "消费记录"
  },
  route: { name: "RecordOrderBook" },
  path: "/record/order/book"
};

export const RecordGift = {
  name: "RecordGift",
  meta: {
    Chinese: "消费记录"
  },
  route: { name: "RecordGift" },
  path: "/record/gift"
};

export const RecordSign = {
  name: "RecordSign",
  meta: {
    Chinese: "历史签到记录"
  },
  route: { name: "RecordSign" },
  path: "/record/sign"
};

export const Subscribe = {
  name: "Subscribe",
  meta: {
    Chinese: "消费记录"
  },
  route: { name: "Subscribe" },
  path: "/subscribe"
};

export const Undertheshelf = {
  name: "Undertheshelf",
  meta: {
    Chinese: "出错"
  },
  route: { name: "Undertheshelf" },
  path: "/undertheshelf"
};

export const Help = {
  name: "Help",
  meta: {
    Chinese: "帮助"
  },
  route: { name: "Help" },
  path: "/help"
};

export const BookRecommend = {
  name: "BookRecommend",
  meta: {
    Chinese: "尾页推荐"
  },
  route: { name: "BookRecommend" },
  path: "/recommend"
};

export const Sign = {
  name: "Sign",
  meta: {
    Chinese: "签到"
  },
  route: { name: "Sign" },
  path: "/sign"
};

export const HelpPayQrcode = {
  name: "HelpPayQrcode",
  meta: {
    Chinese: "帮我代付"
  },
  route: { name: "HelpPayQrcode" },
  path: "/helppayqrcode"
};

export const HelpPay = {
  name: "HelpPay",
  meta: {
    Chinese: "好友代付"
  },
  route: { name: "HelpPay" },
  path: "/helppay"
};

export const BookShare = {
  name: "BookShare",
  meta: {
    Chinese: "分享书籍"
  },
  route: { name: "BookShare" },
  path: "/bookShare"
};

export const HelpShareQrcode = {
  name: "HelpShareQrcode",
  meta: {
    Chinese: "帮助分享"
  },
  route: { name: "HelpShareQrcode" },
  path: "/helpshare"
};

export const Report = {
  name: "Report",
  meta: {
    Chinese: "投诉"
  },
  route: { name: "Report" },
  path: "/report"
};

export const PhoneBinding = {
  name: "PhoneBinding",
  meta: {
    Chinese: "绑定手机"
  },
  route: { name: "PhoneBinding" },
  path: "/phone"
};

export const FakeBookDetail = {
  name: "FakeBookDetail",
  meta: {
    Chinese: "书籍详情"
  },
  route: { name: "FakeBookDetail" },
  path: "/fakeDetail"
};

export const BookLimitFree = {
  name: "BookLimitFree",
  meta: {
    Chinese: "限免书单"
  },
  route: { name: "BookLimitFree" },
  path: "/book-limit-free"
};


export const PhoneBind = {
  name: "PhoneBind",
  meta: {
    Chinese: "书籍详情"
  },
  route: { name: "PhoneBind" },
  path: "/phonebind"
};

export const Yun = {
  name: "Yun",
  meta: {
    Chinese: "中转路由"
  },
  route: { name: "Yun" },
  path: "/yun/:id"
};